Bug 192918 - Review Request: kerry - Kerry Beagle is a KDE frontend for the Beagle desktop search
Review Request: kerry - Kerry Beagle is a KDE frontend for the Beagle desktop...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-24 03:10 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 09:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-05-24 03:10:30 EDT
Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/kerry.spec
SRPM URL: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/kerry-0.1.1-1.src.rpm
Description: 

Kerry Beagle is a nice KDE frontend for the Beagle desktop search daemon, it
uses indexed searched files from beagle and displays in a KDE way, integrating
totally with the desktop, systray, and Konqueror.
Comment 1 Hans de Goede 2006-05-24 03:26:18 EDT
Hugo,

Great to see that you're packaging even more software. As promised I'll try to
review a few of your packages for you when time permits. But unfortunatly
currently time doesn't permit.

What I want / am trying to say is keep up the good work and don't get
discouraged by the lack of reviews actually moving forward. Everbody in FE is
doing it in their sparetime and doing reviews usually is low on most people's
priority list, because packaging things yourself for example is more fun.

With regards to that. In order for the system to not collapse you should try
todo a review for every package thats get reviewed for you. You could even try
to exchange reviews. So if you want to get things moving a bit more mail to
f-e-l saying that you want to exchange reviews, include full URL's to all your
review requests and hopefully someone will reply with a review request of his
own, then you review his package and he reviews yours and there are 2 less
reviews todo (repeat untill all your packages are reviewed).
Comment 2 Hugo Cisneiros 2006-05-24 03:43:03 EDT
I understand the lack of time and I'm really patient with these, as I know for 
sure that this is a voluntary work and it depends on other's spare time. I'll 
not get discouraged, as I know how this works, thanks!

Regarding the reviews, I'm always reading other works and reviews to learn 
more about the packaging process (as I'm kinda new here). I don't know if I'm 
actually competent in running reviews for other packages since I'm not 
experienced... But I'll try and give it a go.

Thanks for your support!
Comment 3 Hans de Goede 2006-05-24 04:17:42 EDT
Don't worry about not being competent for doing a review if you make a mistake
the person being reviewed will most likely correct you. Also as your sponsor I'm
watching all your bugzilla activity for now, once you're settled I'll stop doing
that.

Sorry if that is a bit Big Brother but its the easiest way to keep an eye on you
and its actually possible with BZ to watch anyone you don't need to be a sponsor
for that :)

Comment 4 Aurelien Bompard 2006-05-25 03:47:01 EDT
Needs work:
* replace /usr with %{_prefix}
* removing *.la files in %_libdir is a good thing, but *.la files in 
  %_libdir/kde3 are usually needed by KDE
* The included startup script /usr/share/autostart/beagled.desktop starts
  beagled, you should add "Requires: beagle"
* You may want to add --only-show-in=KDE in the desktop file install command, 
  GNOME users already have frontends to query beagle.

Minor:
* The comment "Removing statically linked libraries" is wrong, you are removing 
  libtool archive files. Statically linked libs end in ".a"
Comment 5 Hugo Cisneiros 2006-05-25 04:47:23 EDT
Hi Aurelien! Thanks for your input on this.

Before I update the specfile, let me comment some things.

> * replace /usr with %{_prefix}

Done.

> * removing *.la files in %_libdir is a good thing, but *.la files in 
>   %_libdir/kde3 are usually needed by KDE

I came across this problem with some other packages, but I tested this package 
and it appears that it's fully working without the %{_libdir}/kde3/*.la files. 
But to be sure, I'm including again in the next spec. What do you think?

> * The included startup script /usr/share/autostart/beagled.desktop starts
>   beagled, you should add "Requires: beagle"

I thought that Requires should never be used. I verified its dependencies and 
it depends only on libbeagle. Maybe this is an exception? What do you think? I 
think I can put :-)

> * You may want to add --only-show-in=KDE in the desktop file install
> command, GNOME users already have frontends to query beagle.

I didn't know that, thanks for letting me know :)

> 
> Minor:
> * The comment "Removing statically linked libraries" is wrong, you are
> removing libtool archive files. Statically linked libs end in ".a"

Fixed! I got confused, thanks!
Comment 6 Hugo Cisneiros 2006-05-25 04:57:24 EDT
Just for information:

Error on option --only-show-in=KDE: unknown option.
Run 'desktop-file-install --help' to see a full list of available command line 
options.

Looking in --help, the option is "--add-only-show-in".
Comment 7 Aurelien Bompard 2006-05-25 05:31:28 EDT
> I came across this problem with some other packages, but I tested this package
> and it appears that it's fully working without the %{_libdir}/kde3/*.la files. 
> But to be sure, I'm including again in the next spec. What do you think?

It's up to you, but if you decide to leave them out, make sure you test
thoroughly each update. If it were me, I'd choose to stay on the safe side and
include them.

> I thought that Requires should never be used. I verified its dependencies and 
> it depends only on libbeagle. Maybe this is an exception? What do you think?

Explicit Requires are usually useless because they are picked up by RPM when it
runs ldd on the binaries. But here, libbeagle is splitted out of the main beagle
package, which contains the search engine. Since the startup script in
/usr/share/autostart runs "beagled --bg" and beagled is in the beagle package,
Require'ing it seems necessary to me.

> Looking in --help, the option is "--add-only-show-in".

Ah, right, my mistake. I should have checked, I know my memory is not to be
trusted...
Comment 8 Hugo Cisneiros 2006-05-25 05:55:36 EDT
Updated package:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/kerry.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/kerry-0.1.1-2.src.rpm

Changes:

- Added kerry.la to libdir/kde3 as KDE applications requires
- Updated desktop-file-install with '--only-show-in=KDE'
- Added beagle as a dependency since kerry it
Comment 9 Aurelien Bompard 2006-05-25 07:13:21 EDT
Review for release 2:
* RPM name is OK
* Source kerry-0.1.1.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

Notes:
Changelog last entry: you forgot "requires" in the last line.
Comment 10 Hugo Cisneiros 2006-06-14 09:15:45 EDT
Imported and built. Closing.
Thanks
Comment 11 Hans de Goede 2006-06-18 03:36:55 EDT
Hugo,

For some reason this package isn't available in the devel repo?
Can you fix that please?
Comment 12 Hugo Cisneiros 2006-06-18 11:50:42 EDT
The building process was stuck in a loop on devel-i386 at buildsys (a known 
problem). It got resolved some days ago and now I did a requeue on the job and 
it was sucessfully built. Thanks for remembering me :)
Comment 13 Sebastian Vahl 2007-03-01 17:00:38 EST
change owner to fedora@deadbabylon.de

Current owner is AWOL:
https://www.redhat.com/archives/fedora-extras-list/2007-February/msg00426.html

Note You need to log in before you can comment on or make changes to this bug.